/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/

import { AzureWizardPromptStep } from 'vscode-azureextensionui';
import { ext } from '../../../extensionVariables';
import { IConnectRegistryWizardContext } from './IConnectRegistryWizardContext';

export class RegistryPasswordStep extends AzureWizardPromptStep<IConnectRegistryWizardContext> {
    public async prompt(context: IConnectRegistryWizardContext): Promise<void> {
        const prompt: string = context.passwordPrompt || "Enter your password";
        context.password = await ext.ui.showInputBox({ prompt, validateInput, password: true });
    }

    public shouldPrompt(context: IConnectRegistryWizardContext): boolean {
        return !!context.includePassword && !context.password;
    }
}

function validateInput(value: string | undefined): string | undefined {
    if (!value) {
        return "Password cannot be empty."
    } else {
        return undefined;
    }
}
